Browse Source

daemon: Properly initialize libgcrypt.

* nix/nix-daemon/guix-daemon.cc (main): Call `gcry_check_version'.
wip-grafts
Ludovic Courtès 9 years ago
parent
commit
5501e6b64f
  1. 11
      nix/nix-daemon/guix-daemon.cc

11
nix/nix-daemon/guix-daemon.cc

@ -1,5 +1,5 @@
/* Guix --- Nix package management from Guile. -*- coding: utf-8 -*-
Copyright (C) 2012 Ludovic Courtès <ludo@gnu.org>
Copyright (C) 2012, 2013 Ludovic Courtès <ludo@gnu.org>
This file is part of Guix.
@ -23,6 +23,8 @@
#include <globals.hh>
#include <util.hh>
#include <gcrypt.h>
#include <stdlib.h>
#include <argp.h>
#include <unistd.h>
@ -165,6 +167,13 @@ main (int argc, char *argv[])
{
Strings nothing;
/* Initialize libgcrypt. */
if (!gcry_check_version (GCRYPT_VERSION))
{
fprintf (stderr, "error: libgcrypt version mismatch\n");
exit (EXIT_FAILURE);
}
#ifdef HAVE_CHROOT
settings.useChroot = true;
#else

Loading…
Cancel
Save